--- title: "Get IVX details at Device level" slug: "get-ivx-details-at-device-level-1" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:33Z published: 2026-11-19T12:57:33Z canonical: "docs.trellix.com/get-ivx-details-at-device-level-1" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get IVX details at Device level This URL gets the details of the IVX appliance and IVX Cloud at Device level. ### Resource URL GET /VXIntegration/sensor//getVXDevice ### Request Parameters | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | sensor_id | Sensor ID | Number | Yes | ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `success` | Success status (true or false) | Boolean | | `msg` | Message | String | | `errMsg` | Error message | String | | `data` | Data | String | | `errorCode` | Error code | String | | `inherit` | Are inherit settings enabled or disabled | Boolean | | `enabled` | Is IVX integration enabled or disabled | Boolean | | `vxDetails` | Details of the configured IVX appliances | Object | | `daasDetails` | Details of the configured IVX Cloud | Object | Details of vxDetails: | Field Name | Description | Data Type | | --- | --- | --- | | `vxEnabled` | Is IVX appliance integration enabled | Boolean | | `vxInherit` | Are IVX settings inherited from the parent domain | Boolean | | `errMessage` | Error message (if any) | String | | `clusterList` | List of clusters | Array | Details of object in clusterList: | Field Name | Description | Data Type | | --- | --- | --- | | `vxClusterState` | | Number | | `clusterHealthStatus` | Health status of the cluster | String | | `vxListeningPort` | Port that Trellix VX will listen for connections from Sensors | Number | | `vxEnableCertValidation` | Is certificate validation enabled | Boolean | | `vxEnableProxy` | Is proxy enabled for IVX broker node communication | Boolean | | `brokerNodeList` | List of broker nodes | Object | Details of brokerNodeList: | Field Name | Description | Data Type | | --- | --- | --- | | `vxIpAddress` | IP address of the broker node | String | | `vxUserName` | Username for broker node authentication | String | | `vxPassword` | Password for broker node authentication | String | Details of daas: | Field Name | Description | Data Type | | --- | --- | --- | | `daasInherit` | Are IVX Cloud settings inherited from the parent domain | Boolean | | `daasEnabled` | Is IVX Cloud integration enabled | Boolean | | `enableProxy` | Is proxy enabled for IVX Cloud communication | Boolean | | `listeningPort` | Port that IVX Cloud will listen for connections from Sensors. | Number | | `hostName` | Host name for the IVX Cloud service. The default host name is `feapi.marketplace.apps.fireeye.com`. | String | | `apiKey` | The API key used for authentication | String | | `serviceStatus` | Status of the IVX Cloud Service | String | | `serviceStatusFailReason` | Reason for the service status failure | String | | `sensorServiceStatus` | Authentication status of the Sensor with IVX Cloud | String | ### Example **Request** GET [https:///sdkapi/VXIntegration/sensor/1005/getVXDevice](HTTPS:/10.213.2.227/SDKAPI/VXINTEGRATION/SENSOR/SENSORID/GETVXDEVICE) **Response** ``` {    "success": true,    "msg": null,    "errMsg": null,    "data": null,    "errorCode": 0,    "inherit": false,    "enabled": true,    "vxDetails": {        "vxEnabled": true,        "vxInherit": false,        "errMessage": null,        "clusterList": [            {                "vxClusterState": 1,                "clusterHealthStatus": "ready",                "vxListeningPort": 443,                "vxEnableCertValidation": false,                "vxEnableProxy": true,                "brokerNodeList": [                    {                        "vxIpAddress": "10.213.2.35",                        "vxUserName": "admin",                        "vxPassword": "admin123"                    },                    {                        "vxIpAddress": "10.213.2.54",                        "vxUserName": "admin",                        "vxPassword": "admin123"                    },                    {                        "vxIpAddress": "10.213.2.209",                        "vxUserName": "admin",                        "vxPassword": "admin123"                    },                    {                        "vxIpAddress": "10.213.2.210",                        "vxUserName": "admin",                        "vxPassword": "admin123"                    },                    {                        "vxIpAddress": "10.213.2.214",                        "vxUserName": "admin",                        "vxPassword": "admin123"                    }                ]            }        ]    },    "daasDetails": {        "daasInherit": false,        "daasEnabled": false,        "enableProxy": false,        "listeningPort": 443,        "hostName": "feapi.marketplace.apps.fireeye.com",        "apiKey": null,        "serviceStatus": null,        "serviceStatusFailReason": null,        "sensorServiceStatus": null    } } ``` ### Error Information Following error codes are returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1106 | Invalid Sensor |